NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.ShipDesign.ProfileBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.Profile builder More...

Inheritance diagram for NXOpen.Features.ShipDesign.ProfileBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Alignment { Center, GuideEdge, OppositeGuide }
 Creation method used to define the placement of the belt this is disabled for profiles More...
 
enum  EndCutOption { None, Symmetric, TwoSided }
 Creation method used to define the end cut type More...
 
enum  OrientationOption { FaceNormal, DatumCsys, Vector }
 Creation method used to define the placement of the profile this is disabled for belt creation More...
 
enum  SectionOption { Plate, Profile }
 Creation of profile from the library or a plate More...
 
enum  TypeOption { Profile, Belt }
 Creation type either a belt or a profile More...
 

Public Member Functions

unsafe string[] GetAvailableAttributeMaterials ()
 Returns the list of available material attributes More...
 
unsafe string[] GetAvailableAttributeNames ()
 Returns the list of available name attributes More...
 
unsafe string[] GetAvailableBeltSizes ()
 Returns the list of available material attributes More...
 
unsafe string[] GetAvailableBeltTypes ()
 Returns the list of available material attributes More...
 
unsafe string[] GetAvailableProfileSizes ()
 Returns the list of available material attributes More...
 
unsafe string[] GetAvailableProfileTypes ()
 Returns the list of available material attributes More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression AngleOfRotation [get]
 Returns the angle of rotation More...
 
unsafe double AngularTolerance [get, set]
 Returns or sets the angular tolerance (degrees). More...
 
unsafe int AttributeMaterial [get, set]
 Returns or sets the material attribute More...
 
unsafe int AttributeName [get, set]
 Returns or sets the name attribute value More...
 
unsafe
NXOpen.Features.ShipDesign.ProfileBuilder.Alignment 
BeltAlignment [get, set]
 Returns or sets the belt alignment More...
 
unsafe int BeltSize [get, set]
 Returns or sets the belt size options More...
 
unsafe int BeltType [get, set]
 Returns or sets the belt type options More...
 
unsafe
NXOpen.GeometricUtilities.CurveLengthData 
CurveLengthData [get]
 Returns the curve length data More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance (part units). More...
 
unsafe
NXOpen.Features.ShipDesign.ProfileBuilder.EndCutOption 
EndCutType [get, set]
 Returns or sets the end cut type More...
 
unsafe NXOpen.EndCutBlockBuilder EndEndCutBlock [get]
 Returns the end end cut block More...
 
unsafe NXOpen.Expression FaceOffsetExpression [get]
 Returns the face offset expression More...
 
unsafe bool FaceOffsetVector [get, set]
 Returns or sets the face offset vector More...
 
unsafe NXOpen.Expression GuideOffsetExpression [get]
 Returns the guide offset expression More...
 
unsafe bool GuideOffsetVector [get, set]
 Returns or sets the guide offset vector More...
 
unsafe NXOpen.Section GuideSection [get]
 Returns the select edge More...
 
unsafe bool KeepFace [get, set]
 Returns or sets the toggle which allows re-use of the selected faces More...
 
unsafe bool KeepGuide [get, set]
 Returns or sets the toggle which allows re-use of the selected edges or curves More...
 
unsafe NXOpen.Direction OrientationVector [get, set]
 Returns or sets the orientation vector More...
 
unsafe
NXOpen.Features.ShipDesign.ProfileBuilder.OrientationOption 
OrientType [get, set]
 Returns or sets the orient type More...
 
unsafe NXOpen.Expression PlateHeight [get]
 Returns the plate height More...
 
unsafe NXOpen.Expression PlateWIdth [get]
 Returns the plate width More...
 
unsafe int ProfileSize [get, set]
 Returns or sets the profile size options More...
 
unsafe int ProfileType [get, set]
 Returns or sets the profile type options More...
 
unsafe
NXOpen.Features.ShipDesign.ProfileBuilder.SectionOption 
SectionType [get, set]
 Returns or sets the section type More...
 
unsafe
NXOpen.Features.SelectFeatureList 
SelectCsys [get]
 Returns the select csys More...
 
unsafe NXOpen.ScCollector SelectFace [get]
 Returns the placement faces or datum plane More...
 
unsafe NXOpen.EndCutBlockBuilder StartEndCutBlock [get]
 Returns the start end cut block More...
 
unsafe
NXOpen.Features.ShipDesign.ProfileBuilder.TypeOption 
Type [get, set]
 Returns or sets the type belt or profile More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.Profile builder

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateProfileBuilder

Default values.

Property Value

AngleOfRotation.Value

0

AngularTolerance

0.5

BeltAlignment

Center

DistanceTolerance

0.0254 (millimeters part), 0.001 (inches part)

EndCutType

None

EndEndCutBlock.Angle.Value

0

EndEndCutBlock.Offset.Value

0

EndEndCutBlock.SketchBlock.Exp1.Value

0

EndEndCutBlock.SketchBlock.Exp10.Value

0

EndEndCutBlock.SketchBlock.Exp11.Value

0

EndEndCutBlock.SketchBlock.Exp12.Value

0

EndEndCutBlock.SketchBlock.Exp2.Value

0

EndEndCutBlock.SketchBlock.Exp3.Value

0

EndEndCutBlock.SketchBlock.Exp4.Value

0

EndEndCutBlock.SketchBlock.Exp5.Value

0

EndEndCutBlock.SketchBlock.Exp6.Value

0

EndEndCutBlock.SketchBlock.Exp7.Value

0

EndEndCutBlock.SketchBlock.Exp8.Value

0

EndEndCutBlock.SketchBlock.Exp9.Value

0

EndEndCutBlock.SketchBlock.Sketches

EndCut1

EndEndCutBlock.TaperType

Trim

FaceOffsetExpression.Value

0

GuideOffsetExpression.Value

0

KeepFace

0

KeepGuide

0

OrientType

FaceNormal

PlateHeight.Value

0

PlateWIdth.Value

0

SectionType

Profile

Created in NX7.5.0

Member Enumeration Documentation

Creation method used to define the placement of the belt this is disabled for profiles

Enumerator
Center 
GuideEdge 
OppositeGuide 

Creation method used to define the end cut type

Enumerator
None 
Symmetric 
TwoSided 

Creation method used to define the placement of the profile this is disabled for belt creation

Enumerator
FaceNormal 
DatumCsys 
Vector 

Creation of profile from the library or a plate

Enumerator
Plate 
Profile 

Creation type either a belt or a profile

Enumerator
Profile 
Belt 

Member Function Documentation

unsafe string [] NXOpen.Features.ShipDesign.ProfileBuilder.GetAvailableAttributeMaterials ( )
inline

Returns the list of available material attributes

Created in NX7.5.0

License requirements: None.

Returns
Array of available attribute materials. These materials are specified in the customer defaults file.
unsafe string [] NXOpen.Features.ShipDesign.ProfileBuilder.GetAvailableAttributeNames ( )
inline

Returns the list of available name attributes

Created in NX7.5.0

License requirements: None.

Returns
Array of available attribute names. These names are specified in the customer defaults file.
unsafe string [] NXOpen.Features.ShipDesign.ProfileBuilder.GetAvailableBeltSizes ( )
inline

Returns the list of available material attributes

Created in NX7.5.0

License requirements: None.

Returns
Array of available belt types derived from the belt library.
unsafe string [] NXOpen.Features.ShipDesign.ProfileBuilder.GetAvailableBeltTypes ( )
inline

Returns the list of available material attributes

Created in NX7.5.0

License requirements: None.

Returns
Array of available belt types derived from the belt library.
unsafe string [] NXOpen.Features.ShipDesign.ProfileBuilder.GetAvailableProfileSizes ( )
inline

Returns the list of available material attributes

Created in NX7.5.0

License requirements: None.

Returns
Array of available profile types derived from the profile library.
unsafe string [] NXOpen.Features.ShipDesign.ProfileBuilder.GetAvailableProfileTypes ( )
inline

Returns the list of available material attributes

Created in NX7.5.0

License requirements: None.

Returns
Array of available profile types derived from the profile library.

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.ProfileBuilder.AngleOfRotation
get

Returns the angle of rotation

Created in NX7.5.1

License requirements: None.

unsafe double NXOpen.Features.ShipDesign.ProfileBuilder.AngularTolerance
getset

Returns or sets the angular tolerance (degrees).

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe int NXOpen.Features.ShipDesign.ProfileBuilder.AttributeMaterial
getset

Returns or sets the material attribute

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe int NXOpen.Features.ShipDesign.ProfileBuilder.AttributeName
getset

Returns or sets the name attribute value

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Features.ShipDesign.ProfileBuilder.Alignment NXOpen.Features.ShipDesign.ProfileBuilder.BeltAlignment
getset

Returns or sets the belt alignment

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe int NXOpen.Features.ShipDesign.ProfileBuilder.BeltSize
getset

Returns or sets the belt size options

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe int NXOpen.Features.ShipDesign.ProfileBuilder.BeltType
getset

Returns or sets the belt type options

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.GeometricUtilities.CurveLengthData NXOpen.Features.ShipDesign.ProfileBuilder.CurveLengthData
get

Returns the curve length data

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Features.ShipDesign.ProfileBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance (part units).

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Features.ShipDesign.ProfileBuilder.EndCutOption NXOpen.Features.ShipDesign.ProfileBuilder.EndCutType
getset

Returns or sets the end cut type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.EndCutBlockBuilder NXOpen.Features.ShipDesign.ProfileBuilder.EndEndCutBlock
get

Returns the end end cut block

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.ProfileBuilder.FaceOffsetExpression
get

Returns the face offset expression

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.ProfileBuilder.FaceOffsetVector
getset

Returns or sets the face offset vector

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.ProfileBuilder.GuideOffsetExpression
get

Returns the guide offset expression

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.ProfileBuilder.GuideOffsetVector
getset

Returns or sets the guide offset vector

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Section NXOpen.Features.ShipDesign.ProfileBuilder.GuideSection
get

Returns the select edge

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.ProfileBuilder.KeepFace
getset

Returns or sets the toggle which allows re-use of the selected faces

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe bool NXOpen.Features.ShipDesign.ProfileBuilder.KeepGuide
getset

Returns or sets the toggle which allows re-use of the selected edges or curves

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Direction NXOpen.Features.ShipDesign.ProfileBuilder.OrientationVector
getset

Returns or sets the orientation vector

Created in NX7.5.4

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Features.ShipDesign.ProfileBuilder.OrientationOption NXOpen.Features.ShipDesign.ProfileBuilder.OrientType
getset

Returns or sets the orient type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.ProfileBuilder.PlateHeight
get

Returns the plate height

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.ProfileBuilder.PlateWIdth
get

Returns the plate width

Created in NX7.5.0

License requirements: None.

unsafe int NXOpen.Features.ShipDesign.ProfileBuilder.ProfileSize
getset

Returns or sets the profile size options

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe int NXOpen.Features.ShipDesign.ProfileBuilder.ProfileType
getset

Returns or sets the profile type options

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Features.ShipDesign.ProfileBuilder.SectionOption NXOpen.Features.ShipDesign.ProfileBuilder.SectionType
getset

Returns or sets the section type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe NXOpen.Features.SelectFeatureList NXOpen.Features.ShipDesign.ProfileBuilder.SelectCsys
get

Returns the select csys

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.ShipDesign.ProfileBuilder.SelectFace
get

Returns the placement faces or datum plane

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.EndCutBlockBuilder NXOpen.Features.ShipDesign.ProfileBuilder.StartEndCutBlock
get

Returns the start end cut block

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.ProfileBuilder.TypeOption NXOpen.Features.ShipDesign.ProfileBuilder.Type
getset

Returns or sets the type belt or profile

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.